## GstGioBaseSink

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──GstGioBaseSink

### Properties

#### close-on-stop

    “close-on-stop” gboolean

Determines whether the stream is closed with the element "stops" (i.e. goes from the READY to NULL state), or when the element is disposed. Which of these behaviours is desirable depends on the lifecycle of the underlying stream that the element works with.

Flags : Read / Write

Default value : true

Since : 1.24

The results of the search are